// TODO(vjpr): Make this absolute path for when user copies the wallaby.js into their project.
var babelator = require('../config')()
var testsGlob = babelator.testsGlob
var testsHelpersGlob = babelator.testsHelpersGlob
var srcGlob = babelator.srcGlob

module.exports = function(wallaby) {
  return {
    debug: true,
    files: [
      srcGlob,
      {pattern: testsGlob, ignore: true},
      {pattern: 'src/__tests__/makeGeneratorUnitTest.js'},
    ],
    tests: [
      testsGlob,
      //{pattern: testsHelpersGlob, ignore: true}
    ],
    compilers: {
      '**/*.js': wallaby.compilers.babel({
        //babel: require('../requires').babelCore,
        babel: require('babel-core'),
        babelrc: true,
        //plugins: babelator.babel.plugins,
        //presets: babelator.babel.presets,
        //presets: ['live'],
      })
    },
    testFramework: 'mocha',
    env: {
      type: 'node',
      //runner: '/Users/Vaughan/nvm/versions/node/v0.12.7/bin/node',
      params: {
        runner: '--harmony',
      }
    },
    delays: {
      //edit: 1000,
      edit: 500, // Default
      run: 150 // Default
    },
    bootstrap: function() {
      var mocha = wallaby.testFramework
      var chai = require('chai')
      var chaiAsPromised = require('chai-as-promised')
      chai.use(chaiAsPromised)
      mocha.ui('bdd')
      expect = chai.expect
      var should = chai.should()
    },
  }
}
